% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/WriteExplainedNodesToSifFile.r
\name{WriteExplainedNodesToSifFile}
\alias{WriteExplainedNodesToSifFile}
\title{Write explained nodes to Sif file}
\usage{
WriteExplainedNodesToSifFile(hypothesisnode, signOfHypothesis, network, data,
  delta, file, display = TRUE)
}
\arguments{
\item{hypothesisnode}{a hypothesis node}

\item{signOfHypothesis}{the direction of change of hypothesis node}

\item{network}{a computational causal graph}

\item{data}{a data file}

\item{delta}{the number of edges across which the hypothesis should be followed}

\item{file}{a character string (without extension) that determines the names of the files created. Extension is added automatically. Set to NA if not writing to file.}

\item{display}{determines if the output written to file is also displayed}
}
\value{
two files containing paths from hypothesis node to explained nodes in sif format
}
\description{
Outputs a network of explained nodes in .sif file format for producing visualisations using Cytoscape
}
\examples{
hypothesisnode <- "Node0"
signOfHypothesis <- +1
network <- system.file(package='CausalR', 'extdata', 'testNetwork1.sif')
ccg <- CreateCCG(network)
data <- system.file(package='CausalR', 'extdata', 'testData1.txt')
delta <- 2
WriteExplainedNodesToSifFile(hypothesisnode, signOfHypothesis, ccg, data,  delta,
                             file=NA, display=TRUE)
}
\concept{
CausalR
}

